#ifndef __GUI_TOOLS_H__

#include <PalmOS.h>

MemPtr GetObjectPtr(UInt16 objectID);
MemPtr GetObjectPtrFromForm(FormPtr frm, UInt16 objectID);
void SetFocus(UInt16 objectID);

void SetText(FieldPtr fieldPtr, const Char *text);
void SetTextById(UInt16 fieldId, const Char *text);

// GetText methods allocate new memory!! Use MemPtrFree to free..
//
Char * GetText(FieldPtr fieldPtr);
Char * GetTextById(UInt16 fieldId);

void PutNumInField(FieldPtr fieldPtr, Int32 val);
Int32 GetNumFromField(FieldPtr fieldPtr);

#endif __GUI_TOOLS_H__
